javax.naming

## Interface NameParser

    public interface NameParser

This interface is used for parsing names from a hierarchical namespace. The NameParser contains knowledge of the syntactic information (like left-to-right orientation, name separator, etc.) needed to parse names. The equals() method, when used to compare two NameParsers, returns true if and only if they serve the same namespace.

Since:
  1.3
See Also:
  `CompoundName`, `Name`

### Method Summary

Methods
`Name` `parse(String name)` Parses a name into its components.

### Method Detail

#### parse

    Name parse(String name)
               throws NamingException

Parses a name into its components.

Parameters:
  `name` - The non-null string name to parse.
Returns:
  A non-null parsed form of the name using the naming convention of this parser.
Throws:
  `InvalidNameException` - If name does not conform to syntax defined for the namespace.
  `NamingException` - If a naming exception was encountered.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.